/*
 * Copyright (c) 2025 Meshtastic LLC
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.geeksville.mesh.ui.common.theme

import androidx.compose.ui.graphics.Color

val MeshtasticGreen = Color(0xFF67EA94)
val MeshtasticAlt = Color(0xFF2C2D3C)

val Yellow = Color(red = 255, green = 230, blue = 0)
val Orange = Color(red = 247, green = 147, blue = 26)
val Green = Color(0xFF30C047)

val HyperlinkBlue = Color(0xFF43C3B0)
val InfantryBlue = Color(red = 75, green = 119, blue = 190)

val primaryLight = Color(0xFF306A42)
val onPrimaryLight = Color(0xFFFFFFFF)
val primaryContainerLight = Color(0xFFB3F1BF)
val onPrimaryContainerLight = Color(0xFF00210D)
val secondaryLight = Color(0xFF506353)
val onSecondaryLight = Color(0xFFFFFFFF)
val secondaryContainerLight = Color(0xFFD2E8D3)
val onSecondaryContainerLight = Color(0xFF0D1F12)
val tertiaryLight = Color(0xFF3A656E)
val onTertiaryLight = Color(0xFFFFFFFF)
val tertiaryContainerLight = Color(0xFFBEEAF6)
val onTertiaryContainerLight = Color(0xFF001F25)
val errorLight = Color(0xFFBA1A1A)
val onErrorLight = Color(0xFFFFFFFF)
val errorContainerLight = Color(0xFFFFDAD6)
val onErrorContainerLight = Color(0xFF410002)
val backgroundLight = Color(0xFFF6FBF3)
val onBackgroundLight = Color(0xFF181D18)
val surfaceLight = Color(0xFFF6FBF3)
val onSurfaceLight = Color(0xFF181D18)
val surfaceVariantLight = Color(0xFFDDE5DA)
val onSurfaceVariantLight = Color(0xFF414941)
val outlineLight = Color(0xFF717971)
val outlineVariantLight = Color(0xFFC1C9BF)
val scrimLight = Color(0xFF000000)
val inverseSurfaceLight = Color(0xFF2D322D)
val inverseOnSurfaceLight = Color(0xFFEEF2EA)
val inversePrimaryLight = Color(0xFF97D5A5)
val surfaceDimLight = Color(0xFFD7DBD4)
val surfaceBrightLight = Color(0xFFF6FBF3)
val surfaceContainerLowestLight = Color(0xFFFFFFFF)
val surfaceContainerLowLight = Color(0xFFF0F5ED)
val surfaceContainerLight = Color(0xFFEBEFE7)
val surfaceContainerHighLight = Color(0xFFE5EAE2)
val surfaceContainerHighestLight = Color(0xFFDFE4DC)

val primaryLightMediumContrast = Color(0xFF0F4D29)
val onPrimaryLightMediumContrast = Color(0xFFFFFFFF)
val primaryContainerLightMediumContrast = Color(0xFF478157)
val onPrimaryContainerLightMediumContrast = Color(0xFFFFFFFF)
val secondaryLightMediumContrast = Color(0xFF344738)
val onSecondaryLightMediumContrast = Color(0xFFFFFFFF)
val secondaryContainerLightMediumContrast = Color(0xFF657A68)
val onSecondaryContainerLightMediumContrast = Color(0xFFFFFFFF)
val tertiaryLightMediumContrast = Color(0xFF1C4952)
val onTertiaryLightMediumContrast = Color(0xFFFFFFFF)
val tertiaryContainerLightMediumContrast = Color(0xFF517B85)
val onTertiaryContainerLightMediumContrast = Color(0xFFFFFFFF)
val errorLightMediumContrast = Color(0xFF8C0009)
val onErrorLightMediumContrast = Color(0xFFFFFFFF)
val errorContainerLightMediumContrast = Color(0xFFDA342E)
val onErrorContainerLightMediumContrast = Color(0xFFFFFFFF)
val backgroundLightMediumContrast = Color(0xFFF6FBF3)
val onBackgroundLightMediumContrast = Color(0xFF181D18)
val surfaceLightMediumContrast = Color(0xFFF6FBF3)
val onSurfaceLightMediumContrast = Color(0xFF181D18)
val surfaceVariantLightMediumContrast = Color(0xFFDDE5DA)
val onSurfaceVariantLightMediumContrast = Color(0xFF3D453D)
val outlineLightMediumContrast = Color(0xFF596159)
val outlineVariantLightMediumContrast = Color(0xFF757D74)
val scrimLightMediumContrast = Color(0xFF000000)
val inverseSurfaceLightMediumContrast = Color(0xFF2D322D)
val inverseOnSurfaceLightMediumContrast = Color(0xFFEEF2EA)
val inversePrimaryLightMediumContrast = Color(0xFF97D5A5)
val surfaceDimLightMediumContrast = Color(0xFFD7DBD4)
val surfaceBrightLightMediumContrast = Color(0xFFF6FBF3)
val surfaceContainerLowestLightMediumContrast = Color(0xFFFFFFFF)
val surfaceContainerLowLightMediumContrast = Color(0xFFF0F5ED)
val surfaceContainerLightMediumContrast = Color(0xFFEBEFE7)
val surfaceContainerHighLightMediumContrast = Color(0xFFE5EAE2)
val surfaceContainerHighestLightMediumContrast = Color(0xFFDFE4DC)

val primaryLightHighContrast = Color(0xFF002911)
val onPrimaryLightHighContrast = Color(0xFFFFFFFF)
val primaryContainerLightHighContrast = Color(0xFF0F4D29)
val onPrimaryContainerLightHighContrast = Color(0xFFFFFFFF)
val secondaryLightHighContrast = Color(0xFF142619)
val onSecondaryLightHighContrast = Color(0xFFFFFFFF)
val secondaryContainerLightHighContrast = Color(0xFF344738)
val onSecondaryContainerLightHighContrast = Color(0xFFFFFFFF)
val tertiaryLightHighContrast = Color(0xFF00262E)
val onTertiaryLightHighContrast = Color(0xFFFFFFFF)
val tertiaryContainerLightHighContrast = Color(0xFF1C4952)
val onTertiaryContainerLightHighContrast = Color(0xFFFFFFFF)
val errorLightHighContrast = Color(0xFF4E0002)
val onErrorLightHighContrast = Color(0xFFFFFFFF)
val errorContainerLightHighContrast = Color(0xFF8C0009)
val onErrorContainerLightHighContrast = Color(0xFFFFFFFF)
val backgroundLightHighContrast = Color(0xFFF6FBF3)
val onBackgroundLightHighContrast = Color(0xFF181D18)
val surfaceLightHighContrast = Color(0xFFF6FBF3)
val onSurfaceLightHighContrast = Color(0xFF000000)
val surfaceVariantLightHighContrast = Color(0xFFDDE5DA)
val onSurfaceVariantLightHighContrast = Color(0xFF1E261F)
val outlineLightHighContrast = Color(0xFF3D453D)
val outlineVariantLightHighContrast = Color(0xFF3D453D)
val scrimLightHighContrast = Color(0xFF000000)
val inverseSurfaceLightHighContrast = Color(0xFF2D322D)
val inverseOnSurfaceLightHighContrast = Color(0xFFFFFFFF)
val inversePrimaryLightHighContrast = Color(0xFFBCFBC8)
val surfaceDimLightHighContrast = Color(0xFFD7DBD4)
val surfaceBrightLightHighContrast = Color(0xFFF6FBF3)
val surfaceContainerLowestLightHighContrast = Color(0xFFFFFFFF)
val surfaceContainerLowLightHighContrast = Color(0xFFF0F5ED)
val surfaceContainerLightHighContrast = Color(0xFFEBEFE7)
val surfaceContainerHighLightHighContrast = Color(0xFFE5EAE2)
val surfaceContainerHighestLightHighContrast = Color(0xFFDFE4DC)

val primaryDark = Color(0xFF97D5A5)
val onPrimaryDark = Color(0xFF00391A)
val primaryContainerDark = Color(0xFF15512C)
val onPrimaryContainerDark = Color(0xFFB3F1BF)
val secondaryDark = Color(0xFFB6CCB8)
val onSecondaryDark = Color(0xFF223526)
val secondaryContainerDark = Color(0xFF384B3C)
val onSecondaryContainerDark = Color(0xFFD2E8D3)
val tertiaryDark = Color(0xFFA2CED9)
val onTertiaryDark = Color(0xFF01363F)
val tertiaryContainerDark = Color(0xFF204D56)
val onTertiaryContainerDark = Color(0xFFBEEAF6)
val errorDark = Color(0xFFFFB4AB)
val onErrorDark = Color(0xFF690005)
val errorContainerDark = Color(0xFF93000A)
val onErrorContainerDark = Color(0xFFFFDAD6)
val backgroundDark = Color(0xFF101510)
val onBackgroundDark = Color(0xFFDFE4DC)
val surfaceDark = Color(0xFF101510)
val onSurfaceDark = Color(0xFFDFE4DC)
val surfaceVariantDark = Color(0xFF414941)
val onSurfaceVariantDark = Color(0xFFC1C9BF)
val outlineDark = Color(0xFF8B938A)
val outlineVariantDark = Color(0xFF414941)
val scrimDark = Color(0xFF000000)
val inverseSurfaceDark = Color(0xFFDFE4DC)
val inverseOnSurfaceDark = Color(0xFF2D322D)
val inversePrimaryDark = Color(0xFF306A42)
val surfaceDimDark = Color(0xFF101510)
val surfaceBrightDark = Color(0xFF353A35)
val surfaceContainerLowestDark = Color(0xFF0A0F0B)
val surfaceContainerLowDark = Color(0xFF181D18)
val surfaceContainerDark = Color(0xFF1C211C)
val surfaceContainerHighDark = Color(0xFF262B26)
val surfaceContainerHighestDark = Color(0xFF313631)

val primaryDarkMediumContrast = Color(0xFF9BD9A9)
val onPrimaryDarkMediumContrast = Color(0xFF001B09)
val primaryContainerDarkMediumContrast = Color(0xFF639D72)
val onPrimaryContainerDarkMediumContrast = Color(0xFF000000)
val secondaryDarkMediumContrast = Color(0xFFBBD0BC)
val onSecondaryDarkMediumContrast = Color(0xFF081A0D)
val secondaryContainerDarkMediumContrast = Color(0xFF819683)
val onSecondaryContainerDarkMediumContrast = Color(0xFF000000)
val tertiaryDarkMediumContrast = Color(0xFFA6D2DD)
val onTertiaryDarkMediumContrast = Color(0xFF00191F)
val tertiaryContainerDarkMediumContrast = Color(0xFF6D97A2)
val onTertiaryContainerDarkMediumContrast = Color(0xFF000000)
val errorDarkMediumContrast = Color(0xFFFFBAB1)
val onErrorDarkMediumContrast = Color(0xFF370001)
val errorContainerDarkMediumContrast = Color(0xFFFF5449)
val onErrorContainerDarkMediumContrast = Color(0xFF000000)
val backgroundDarkMediumContrast = Color(0xFF101510)
val onBackgroundDarkMediumContrast = Color(0xFFDFE4DC)
val surfaceDarkMediumContrast = Color(0xFF101510)
val onSurfaceDarkMediumContrast = Color(0xFFF8FCF4)
val surfaceVariantDarkMediumContrast = Color(0xFF414941)
val onSurfaceVariantDarkMediumContrast = Color(0xFFC5CDC3)
val outlineDarkMediumContrast = Color(0xFF9DA59C)
val outlineVariantDarkMediumContrast = Color(0xFF7D857D)
val scrimDarkMediumContrast = Color(0xFF000000)
val inverseSurfaceDarkMediumContrast = Color(0xFFDFE4DC)
val inverseOnSurfaceDarkMediumContrast = Color(0xFF262B26)
val inversePrimaryDarkMediumContrast = Color(0xFF16522E)
val surfaceDimDarkMediumContrast = Color(0xFF101510)
val surfaceBrightDarkMediumContrast = Color(0xFF353A35)
val surfaceContainerLowestDarkMediumContrast = Color(0xFF0A0F0B)
val surfaceContainerLowDarkMediumContrast = Color(0xFF181D18)
val surfaceContainerDarkMediumContrast = Color(0xFF1C211C)
val surfaceContainerHighDarkMediumContrast = Color(0xFF262B26)
val surfaceContainerHighestDarkMediumContrast = Color(0xFF313631)

val primaryDarkHighContrast = Color(0xFFEFFFEE)
val onPrimaryDarkHighContrast = Color(0xFF000000)
val primaryContainerDarkHighContrast = Color(0xFF9BD9A9)
val onPrimaryContainerDarkHighContrast = Color(0xFF000000)
val secondaryDarkHighContrast = Color(0xFFEFFFEE)
val onSecondaryDarkHighContrast = Color(0xFF000000)
val secondaryContainerDarkHighContrast = Color(0xFFBBD0BC)
val onSecondaryContainerDarkHighContrast = Color(0xFF000000)
val tertiaryDarkHighContrast = Color(0xFFF3FCFF)
val onTertiaryDarkHighContrast = Color(0xFF000000)
val tertiaryContainerDarkHighContrast = Color(0xFFA6D2DD)
val onTertiaryContainerDarkHighContrast = Color(0xFF000000)
val errorDarkHighContrast = Color(0xFFFFF9F9)
val onErrorDarkHighContrast = Color(0xFF000000)
val errorContainerDarkHighContrast = Color(0xFFFFBAB1)
val onErrorContainerDarkHighContrast = Color(0xFF000000)
val backgroundDarkHighContrast = Color(0xFF101510)
val onBackgroundDarkHighContrast = Color(0xFFDFE4DC)
val surfaceDarkHighContrast = Color(0xFF101510)
val onSurfaceDarkHighContrast = Color(0xFFFFFFFF)
val surfaceVariantDarkHighContrast = Color(0xFF414941)
val onSurfaceVariantDarkHighContrast = Color(0xFFF5FDF2)
val outlineDarkHighContrast = Color(0xFFC5CDC3)
val outlineVariantDarkHighContrast = Color(0xFFC5CDC3)
val scrimDarkHighContrast = Color(0xFF000000)
val inverseSurfaceDarkHighContrast = Color(0xFFDFE4DC)
val inverseOnSurfaceDarkHighContrast = Color(0xFF000000)
val inversePrimaryDarkHighContrast = Color(0xFF003216)
val surfaceDimDarkHighContrast = Color(0xFF101510)
val surfaceBrightDarkHighContrast = Color(0xFF353A35)
val surfaceContainerLowestDarkHighContrast = Color(0xFF0A0F0B)
val surfaceContainerLowDarkHighContrast = Color(0xFF181D18)
val surfaceContainerDarkHighContrast = Color(0xFF1C211C)
val surfaceContainerHighDarkHighContrast = Color(0xFF262B26)
val surfaceContainerHighestDarkHighContrast = Color(0xFF313631)
